<form [formGroup]="form" (submit)="submit()">
   <h1>Создание нового поста</h1>

   <div class="form-control">
      <label for="title">Название поста</label>
      <input id="title" type="text" formControlName="title">
      <div class="validation" *ngIf="form.controls['title'].invalid && form.controls['title'].touched">
         <small *ngIf="form.controls['title'].errors?.required">введите название поста</small>
      </div>
   </div>

   <div class="form-control">
      <label for="">Контент поста:</label>
      <textarea name="" id="" cols="30" rows="10" formControlName="text"></textarea>
   </div>

   <div class="form-control">
      <label for="author">Автор поста</label>
      <input id="title" type="text" formControlName="author">
      <div class="validation" *ngIf="form.controls['author'].invalid && form.controls['author'].touched">
         <small *ngIf="form.controls['author'].errors?.required">введите автора поста</small>
      </div>
   </div>
   <button type="submit" class="btn btn-block btn-dark" [disabled]="form.invalid">Создать пост</button>
</form>